### Method

# CM Matrix save_client_async

#### Declaration [src]

    void
    cm_matrix_save_client_async (
      CmMatrix* self,
      CmClient* client,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Save the client to database and keyring.

This is a asynchronous method. See `cm_matrix_save_client_sync()` for the synchronous version.

This method completes asynchronously. Use `cm_matrix_save_client_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`client`

  Type: `CmClient`

  The client to save.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A cancellable.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  The callback to call when the asynchronous task completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to pass to the `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.